<?php
	/*
		#Бесплатный WAP движок StrongCMS
		#Официальный сайт поддержки: http://strongcms.ru 
	*/
	
	# Заголовок>Функции>Шапка
	
	//Автор мода RGame 
	
	$cena = 500; //Цена за место
	$size = 6; //Размер куба 25 = 25*25 = 625 чел.(больше лучше не ставить)
	
	$title = 'TOPCUBE';

	$topc = mysql_query("SELECT * FROM `topcube` ORDER BY `id` DESC LIMIT ".$size*$size."");
    $ic =mysql_num_rows($topc);
	$vvv= $ic-($size*$size);
if($vvv<0){$vvv=0;}
$countxx = mysql_query("SELECT * FROM `topcube` ORDER BY `id` DESC LIMIT ".$size*$size."");
$countx=0;
while ($tcc = mysql_fetch_assoc($countxx))
{
if($ku['id']==$tcc['uid']){$countx++;}
}
	if(isset($_GET['add']))
	{
		if($countx==0)
		{
			if($ku['rubies']>=$cena)
			{
				mysql_query("INSERT INTO `topcube` SET `uid` = '".$ku['id']."'");
				mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies'] - $cena)."' WHERE `id` = '".$ku['id']."' LIMIT 1");
				
				$_SESSION['msg']='Вы стали участником знакомств!';
				}else{
				$_SESSION['err']='Не хватает рубинов!';
			}
			}else{
			echo'<div class="news">Вы уже участник знакомств!</div>';
		}
header("location:/?topCube");
	}
	
	
	echo '<div class="event"><h1>Знакомства</h2></div><div class="block">Познакомьтесь с игроком, аватарка которого вам нравится!</div><div class="block"><center>';
	$sss = (100/$size);
    while ($tc = mysql_fetch_assoc($topc))
	{	

if (is_file("images/avatars/$tc[uid].gif"))$image='<img src="/imgs.php?img=images/avatars/'.$tc['uid'].'.gif" width="'.($sss*0.9).'%">';
if (is_file("images/avatars/$tc[uid].jpg"))$image='<img src="/imgs.php?img=images/avatars/'.$tc['uid'].'.jpg" width="'.($sss*0.9).'%">';
if (is_file("images/avatars/$tc[uid].png"))$image='<img src="/imgs.php?img=images/avatars/'.$tc['uid'].'.png" width="'.($sss*0.9).'%">';
		$tcu = mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = ".$tc['uid']." AND `ava_file` > '0' AND `ava_mod` >'0'");
        $countxc  = mysql_num_rows($tcu);
		$tcu = mysql_fetch_assoc($tcu);
		echo '<a href="/?user='.$tc['uid'].'">'.($countxc==0 ? '<img src="/inc/topcube/noavatar2.png" width="'.$sss.'%"></a>' : ''.$image.'</a> ');
		if($i%$size==$size-1)echo'<br/>';
	}
	
	for($i = $ic;$i<$size*$size;$i++){
	$sss1 = (100/$size);
		echo '<img src="inc/topcube/noavatar.png" width="'.($sss).'%">';
		if($i%$size==$size-1)echo'<br/>';
		}
	
		echo'</div>';
		if($countx==0)
		{
		echo'<div class="block"><a href="?topCube&add">Занять место ('.$cena.' рубинов)</a></div>';
		}
	include_once'inc/foot.php';

?>